%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define name	gnomebaker
%define version 0.6.4
%define release %mkrel 1

Summary: 	Simple CD burning frontend for GNOME
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		http://prdownloads.sourceforge.net/gnomebaker/%{name}-%{version}.tar.gz
Patch:	        gnomebaker-0.6.4-desktop.patch
URL:		http://biddell.co.uk/gnomebaker.php
License:	GPL
Group:		Archiving/Cd burning
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick libgnomeui2-devel libglade2.0-devel bison
BuildRequires:	scrollkeeper
BuildRequires:	libgstreamer0.10-devel
BuildRequires:  libnotify-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	desktop-file-utils
BuildRequires:	intltool automake1.9
Requires:	cdrkit cdrkit-genisoimage cdrkit-icedax
Requires:	gstreamer0.10-plugins-base gstreamer0.10-flac

%description
GnomeBaker is a GTK2/Gnome cd burning application.

As of 0.4 GnomeBaker can:
* Create data cds
* Blank rewritable disks
* Copy data cds
* Copy audio cds
* Burn existing cd iso images
* Can burn via scsi and atapi
* Drag and drop to create data cds (including DnD to and from nautilus)
* Create audio cds from existing wavs, mp3, flac and oggs
* Integrate with gconf for storage of application settings
* Burn DVDs
* Supports multisession burning
* Blank/Format DVDs
* Burn Cue/Bin files
* Burn data cds on the fly


%prep
%setup -q
%patch -p1
chmod 644 AUTHORS ChangeLog NEWS TODO README



%build
export CFLAGS="%optflags -rdynamic"
%configure2_5x --enable-libnotify
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -fr $RPM_BUILD_ROOT/%_prefix/doc

#icon
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/%name-48.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/%name-48.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/%name-48.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor		
%{update_desktop_database}

%postun
%clean_icon_cache hicolor
%{clean_desktop_database}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS TODO README
%{_bindir}/%name
%{_datadir}/gnome/help/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%_datadir/icons/hicolor/*/apps/*
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/*-C.omf
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Sat Aug 22 2009 slick50 <lxgator@gmail.com> 0.6.4-1pclos2009
- 2.6.4
- remove patch0 fixed upstream
- add desktop patch

* Mon Oct 15 2007 Texstar <texstar@gmail.com> 0.6.2-2pclos2007
- fix wrong genisoimage call when using cdrkit backend (fedora)

* Tue Oct 09 2007 Texstar <texstar@gmail.com> 0.6.2-1pclos2007
- 0.6.2
- remove mod for cdrkit as it now has built in support
- remove old menu system
- add post update menu scripts

* Sun Feb 04 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.6.1-3
- use cdrkit
- fix glade usage (bug #28360)

* Sun Dec 03 2006 Texstar <texstar@houston.rr.com> 0.6.1-2pclos2007
- Build for PCLinuxOS 2007

